summaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorAlthaf K Backer <althafkbackeratgmaildotcom>2010-05-12 23:32:12 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:12 +0200
commit22df004c95878305e396aaf460bcb6449f956617 (patch)
treee5d68fc5116188277618b37fc2dab2e4ac5a4eab /network
parenta69eff4bed983d39341ce26f06b192034b703f2a (diff)
downloadslackbuilds-22df004c95878305e396aaf460bcb6449f956617.tar.gz
network/gyachi: Added to 12.2 repository
Diffstat (limited to 'network')
-rw-r--r--network/gyachi/README10
-rw-r--r--network/gyachi/gyachi.SlackBuild97
-rw-r--r--network/gyachi/gyachi.info8
-rw-r--r--network/gyachi/slack-desc20
4 files changed, 135 insertions, 0 deletions
diff --git a/network/gyachi/README b/network/gyachi/README
new file mode 100644
index 0000000000..d2f207d71f
--- /dev/null
+++ b/network/gyachi/README
@@ -0,0 +1,10 @@
+This Yahoo! client for Linux operating system supports almost
+all of the features you would expect to find on the official
+Windows Yahoo! client: Voice chat, webcams, faders, 'nicknames',
+audibles, avatars, display images, and more. Yet, it remains
+very light-weight and memory-friendly.
+
+This requires mcrypt, pulseaudio, and jasper.
+
+An optional requirement is libnotify; if you have it installed,
+then run the script with: USE_LIBNOTIFY=yes ./gyachi.SlackBuild
diff --git a/network/gyachi/gyachi.SlackBuild b/network/gyachi/gyachi.SlackBuild
new file mode 100644
index 0000000000..1f0de33c0b
--- /dev/null
+++ b/network/gyachi/gyachi.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for gyachi
+
+# Copyright (c) 2006, 2007, 2008, 2009 Althaf K Backer althafkbacker@gmail.com
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=gyachi
+VERSION=1.1.71
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ WINE_STATUS="--disable-wine"
+fi
+
+if [ "$USE_LIBNOTIFY" != "no" ]; then
+ LIBNOTIFY_STATUS="--enable-plugin_libnotify"
+else
+ LIBNOTIFY_STATUS="--disable-plugin_libnotify"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --enable-maintainer-mode \
+ ${WINE_STATUS} \
+ ${LIBNOTIFY_STATUS}
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/gyachi/gyachi.info b/network/gyachi/gyachi.info
new file mode 100644
index 0000000000..d9d81e3a0e
--- /dev/null
+++ b/network/gyachi/gyachi.info
@@ -0,0 +1,8 @@
+PRGNAM="gyachi"
+VERSION="1.1.71"
+HOMEPAGE="http://gyachi.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/gyachi/gyachi-1.1.71.tar.gz"
+MD5SUM="49852abe4e9ae3f95922340b526510ab"
+MAINTAINER="Althaf K Backer"
+EMAIL="althafkbacker<at>gmail<dot>com"
+APPROVED="rworkman"
diff --git a/network/gyachi/slack-desc b/network/gyachi/slack-desc
new file mode 100644
index 0000000000..f2ebcbfed3
--- /dev/null
+++ b/network/gyachi/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+gyachi: GyachE Improved (GyachI) A full featured yahoo client .
+gyachi:
+gyachi: GyachE Improved (GyachI) program. This is fork from Gyach Enhanced
+gyachi: Yahoo! client for Linux operating systems This Yahoo! client for
+gyachi: Linux operating system supports almost allthe features you would
+gyachi: expect to find on the official Windows Yahoo! client: Voice chat,
+gyachi: webcams,faders,'nicknames', audibles, avatars, display images, and
+gyachi: more. Yet,it remains very light-weight and memory-friendly. GyachE
+gyachi: Improved uses Gtk-2 for its user interfaces (Gtk-2 2.0.6 or better
+gyachi: required).
+gyachi:
+gyachi: http://gyachi.sourceforge.net/